### Name: getAnn
### Title: Annotate a set of genes to pathways or sub-pathways based on
###   enzyme commission (EC)
### Aliases: getAnn
### Keywords: file

### ** Examples

##get a set of genes
geneList<-getAexample(k=1000)
##get the annotated results
 ann<-getAnn(geneList)
##print the annotation results to screen
 printAnn(ann)

##get the details of the results
#get the informations of the first pathway 
ann[[1]]
#get the informations of the pathway "path:00010" 
ann[["path:00010"]]
#get the genes annotated to the pathway "path:00010"
ann[["path:00010"]]$"annGeneList"

##write the annotation results to tab delimited file. 
#note that the argument col.names=NA is essential.
 geneList<-getAexample(k=1000)
 ann<-getAnn(geneList)
 result<-printAnn(ann)
 write.table(result,file="result",col.names=NA,sep="\t")

##annotate the genes to the KEGG metabolic pathways based on enzyme commission (EC)
geneList<-getAexample(k=1000)
ann<-getAnn(geneList,graphList=getDefaultUndirectedGraph())
printAnn(ann)[2:5]

##annotate the genes to the sub-pathways of metabolic pathways based on enzyme commission (EC)
geneList<-getAexample(k=1000)
subGraphList<-getKcSubGraph(k=4,graphList=getDefaultUndirectedGraph())
ann<-getAnn(geneList,graphList=subGraphList)
printAnn(ann)[2:5]



