### Name: getKOAnn
### Title: Annotate a set of genes to sub-pathways by using KEGG Orthology
###   (KO)
### Aliases: getKOAnn
### Keywords: file

### ** Examples


##annotate the genes to sub-pathway by using KEGG Orthology (KO).
##get a set of genes
geneList<-getAexample(k=100)
#
subGraphList<-getKcSubGraph(k=4,graphList=getDefaultKOUndirectedGraph())
#get the annotated results
ann<-getKOAnn(geneList,graphList=subGraphList)
#print the annotation results to screen
result<-printAnn(ann)
result[2:5]

##write the annotation results to tab delimited file. 
#note that the argument col.names=NA is essential.
 write.table(result,file="result",col.names=NA,sep="\t")




