### Name: getKcSubGraph
### Title: Mine sub-pathways
### Aliases: getKcSubGraph
### Keywords: file

### ** Examples

##get graph representation of metabolic pathways
 graphList<-getDefaultUndirectedGraph()
#get all 4-clique subgraphs
 subGraphList<-getKcSubGraph(k=4,graphList)
#display first subGraph 
 library(Rgraphviz)
 plot(subGraphList[[1]])

##annotate a set of genes to the sub-pathways of metabolic pathways by using enzyme commission (EC) numbers.
geneList<-getAexample(k=1000)
subGraphList<-getKcSubGraph(k=4)
ann<-getAnn(geneList,graphList=subGraphList)
printAnn(ann)

##annotate the genes to sub-pathway by using KEGG Orthology (KO).
geneList<-getAexample(k=100)
subGraphList<-getKcSubGraph(k=4,graphList=getDefaultKOUndirectedGraph())
ann<-getKOAnn(geneList,graphList=subGraphList)
printAnn(ann)[2:5]




