### Name: gotoKEGG
### Title: Visualize pathways or sub-pathways through linking to the KEGG
###   web site
### Aliases: gotoKEGG
### Keywords: file

### ** Examples

##visualize pathways through linking to the KEGG web site.
library(Rgraphviz)
geneList<-getAexample(k=100)
ann<-getAnn(geneList)
#gotoKEGG("path:00010",ann)

##visualize sub-pathways of metabolic pathways based on enzyme commission (EC) numbers through linking to the KEGG web site.
geneList<-getAexample(k=1000)
subGraphList<-getKcSubGraph(k=4)
ann<-getAnn(geneList,graphList=subGraphList)
#gotoKEGG("path:00010_1",ann)

##visualize sub-pathways sub-pathways based on KEGG Orthology (KO) identifiers through linking to the KEGG web site.
geneList<-getAexample(k=100)
subGraphList<-getKcSubGraph(k=4,graphList=getDefaultKOUndirectedGraph())
ann<-getKOAnn(geneList,graphList=subGraphList)
#gotoKEGG("path:00010_1",ann)



