### Name: plotAnn
### Title: Visualize pathways or sub-pathways based on enzyme commission
###   (EC) numbers
### Aliases: plotAnn
### Keywords: file

### ** Examples

##visualize metabolic pathways based on enzyme commission (EC) numbers  
library(Rgraphviz)
geneList<-getAexample(k=1000)
ann<-getAnn(geneList,graphList=getDefaultUndirectedGraph())
plotAnn("path:00010",getDefaultUndirectedGraph(),ann)

##visualize sub-pathways of metabolic pathways based on enzyme commission (EC) numbers 
library(Rgraphviz)
geneList<-getAexample(k=1000)
subGraphList<-getKcSubGraph(k=4)
ann<-getAnn(geneList,graphList=subGraphList)
plotAnn("path:00010_1",subGraphList,ann)
#go to KEGG
#plotAnn("path:00010_1",subGraphList,ann,gotoKEGG=TRUE)



